{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('external_user/user_registration/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('external_user/user_registration/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4">
        {% if userRegistration.getUserRegistrationType().name == 'SEEKER' %}
            <a href="{{ path('external_user_user_registration_overview', {'userRegistrationTypeName': 'suchende'}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% elseif userRegistration.getUserRegistrationType().name == 'PROVIDER' %}
            <a href="{{ path('external_user_user_registration_overview', {'userRegistrationTypeName': 'anbietende'}) }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        {% endif %}



        <span class="text-primary fs-5 align-self-center">Nutzer löschen</span>
        {{ form_widget(userRegistrationDeleteForm.delete, {'label': 'LÖSCHEN','id': userRegistrationDeleteForm.delete.vars.id ~ '_submit_button','attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading delete-button ms-auto align-self-center'}}) }}
    </div>
{% endblock %}

{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4 p-3">
            <h1 class="fs-4 d-flex align-items-center">
                <span class="material-icons me-2 text-danger">warning_amber</span>
                Der {{userRegistration.getUserRegistrationType().getName() }} und alle verknüpften Daten werden unwiderruflich gelöscht.
            </h1>
            <p>
                Um die Löschung durchzuführen, müssen Sie zuerst den folgenden Code eingeben:
                <span class="delete-code">registrierung_{{ userRegistration.getId() }}</span>
            </p>
            {{ form_start(userRegistrationDeleteForm, {'attr': {'id': userRegistrationDeleteForm.vars.id ~ '_form'}}) }}
            {% include 'external_user/form/user_registration/user_registration_delete_form.html.twig' with {'form': userRegistrationDeleteForm} only %}
            {{ form_row(userRegistrationDeleteForm._token) }}
            {{ form_end(userRegistrationDeleteForm, {'render_rest': false}) }}
        </div>
        <div class="mdc-card mb-4">
            <div class="p-4">
                {{ form_start(userRegistrationForm, {'attr': {'id': userRegistrationForm.vars.id ~ '_form'}}) }}
                {% if (userRegistration.getPersonType().name == 'COMPANY') %}
                    {% include 'external_user/form/user_registration/company_user_registration_form.html.twig' with {
                        'form': userRegistrationForm,
                        'errors': (errors is defined) ? errors : null
                    } only %}
                {% elseif (userRegistration.getPersonType().name == 'NATURAL_PERSON') %}
                    {% include 'external_user/form/user_registration/natural_person_user_registration_form.html.twig' with {
                        'form': userRegistrationForm,
                        'errors': (errors is defined) ? errors : null
                    } only %}
                {% endif %}
                {{ form_end(userRegistrationForm, {'render_rest': false}) }}
            </div>
        </div>
    </div>
{% endblock %}
